myfaces-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Bischoff <jbisch...@klkurz.com>
Subject Re: MyFaces-1377 min fix versions? / panelNavigation2 breakage
Date Wed, 20 Sep 2006 16:11:42 GMT
Thanks for repsonding Mike... let me reply in stages:

 > Is this the fix for dataTable rows?

Yes, it probably would have been clearer if I mentioned that, sorry.

 > You need an updated core to fix it for h:dataTable, and an updated
 > tomahawk to fix it for t:dataTable.

Aha! I had forgotten that I switched from h:dataTable to t:dataTable. I 
suppose I can't expect a new Core release to fix that. :)

 > Actually, I wouldn't think tomahawk 1.1.3
 > would have the error in the first place since the error was introduced
 > in May.

Yes, but Tomahawk 1.1.3 was released in June... seems it snuck in there 
somehow. :(

 > Your best bet is to get the fix for t:panelNavigation2 into tomahawk
 > so it'll be in the 1.1.4 tomahawk release.

According to the release plan [1], the 1.1.4 Tomahawk branch will likely 
be abandoned in favor of 1.1.5...

My t:panelNavigation2 problem occurs when using Core 1.1.4 (release) 
with Tomahawk 1.1.5 (nightly 2006-09-16)

However, the component works fine when I also use the nightly core build 
of the same date.

So, only issue worth pursuing vis-a-vis my panelNavigation2 problem 
would be to get the Tomahawk 1.1.5 branch patched to restore 
compatibility with Core 1.1.4 release. Sound reasonable?

Later, when I have time, I'll see if there is already a JIRA somewhere. 
Otherwise, I'll work on providing more information to get one started.

Regards,

Jeff Bischoff
Kenneth L Kurz & Associates, Inc.

Mike Kienenberger wrote:
> Is this the fix for dataTable rows?
> 
> You need an updated core to fix it for h:dataTable, and an updated
> tomahawk to fix it for t:dataTable.   Core 1.1.4 should have it.
> Tomahawk 1.1.3 will not.  Actually, I wouldn't think tomahawk 1.1.3
> would have the error in the first place since the error was introduced
> in May.
> 
> Your best bet is to get the fix for t:panelNavigation2 into tomahawk
> so it'll be in the 1.1.4 tomahawk release.
> 
> On 9/20/06, Jeff Bischoff <jbischoff@klkurz.com> wrote:
>> MyFaces-1377 [1]:
>>
>> What is the minimum versions we can use, to take advantage of the fix?
>> It says fixed in Core 1.1.4 release (and indeed, the dev logs show a
>> patch was backported in august). But does this fix require certain
>> version of Tomahawk?
>>
>> I have tried with Core 1.1.4 (release) and Tomahawk 1.1.3 (release), and
>> I still get this error. The error seems to go away when using Core 1.1.4
>> and Tomahawk 1.1.5 (nightly), however I can't test this combination
>> much, as it breaks my t:panelNavigation2.
>>
>> [1]http://issues.apache.org/jira/browse/MYFACES-1377
>> [2]http://issues.apache.org/jira/browse/TOMAHAWK-467
>>
>> Regards,
>>
>> Jeff Bischoff
>> Kenneth L Kurz & Associates
>>
>>
>>
> 
> 
> 



Mime
View raw message